telnet-proxy(1)

NAME
telnet-proxy - create a TELNET debugging proxy

SYNOPSIS
telnet-proxy <remote address> <remote port> <local port>

DESCRIPTION
telnet-proxy creates a single-connection proxy listening on local port which forwards connections to remote address on port remote port. All TELNET commands will be logged to stdout for debugging purposes.

Only a single active connection is allowed at any given time. However, after a client has disconnected, another client may connect through the proxy.

telnet-proxy is capable of transparently decoding and reencoding streams compressed with MCCP2. It also includes specialized decoders and debug output for NEW-ENVIRON, TTYPE, ZMP, and MSSP subnegotiation commands.

SEE ALSO
telnet-chatd(1), telnet-client(1), telnet(1)